classification
Title: os.CLD_KILLED and os.CLD_STOPPED should be implemented
Type: enhancement Stage: resolved
Components: Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: clintolsen, corona10, rosslagerwall, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-10-16 04:36 by clintolsen, last changed 2019-10-21 07:02 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16821 merged corona10, 2019-10-16 10:59
Messages (5)
msg354769 - (view) Author: clintolsen (clintolsen) Date: 2019-10-16 04:36
I was running some experiments with os.waitid() and noticed that os.CLD_KILLED is not listed in the documentation.

However, if a process is killed by the system this (missing) value is returned from this function. It seems like possible constant values should be covered or at least documented as such? How should we code around unsupported constant values?
msg354798 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-10-16 12:48
What about CLD_STOPPED?

For reference, other CLD_* constants were added in issue10812.
msg354826 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2019-10-17 01:49
> What about CLD_STOPPED?

I think that it should be added also.
I 've added the CLD_STOPPED on PR 16821.
msg355027 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-10-21 07:01
New changeset 2eba6ad7bf3a5beeed54209a0107be8e1ac77767 by Serhiy Storchaka (Dong-hee Na) in branch 'master':
bpo-38493: Add os.CLD_KILLED and os.CLD_STOPPED. (GH-16821)
https://github.com/python/cpython/commit/2eba6ad7bf3a5beeed54209a0107be8e1ac77767
msg355028 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-10-21 07:02
Thank you for your contribution Dong-hee!
History
Date User Action Args
2019-10-21 07:02:12serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg355028

stage: patch review -> resolved
2019-10-21 07:01:08serhiy.storchakasetmessages: + msg355027
2019-10-17 10:01:19corona10settitle: os.CLD_KILLED should be implemented -> os.CLD_KILLED and os.CLD_STOPPED should be implemented
2019-10-17 01:49:54corona10setmessages: + msg354826
2019-10-16 12:48:46serhiy.storchakasetnosy: + rosslagerwall, serhiy.storchaka

messages: + msg354798
versions: + Python 3.9, - Python 3.7
2019-10-16 11:25:06corona10setnosy: + corona10
2019-10-16 10:59:36corona10setkeywords: + patch
stage: patch review
pull_requests: + pull_request16373
2019-10-16 04:36:12clintolsencreate